Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface IVLINT

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, INT1, org.eclipse.emf.common.notify.Notifier, QTY, SXCMINT

All Known Implementing Classes:
  IVLINTImpl

    public interface IVLINT

extends SXCMINT

A representation of the model object 'IVLINT'.

The following features are supported:

- `Low`
- `Width`
- `High`
- `High1`
- `Width1`
- `High2`
- `Center`
- `Width2`

See Also:
  `CDAR2Package.getIVLINT()`

Method Summary
`INT1` | `getCenter()` Returns the value of the 'Center' containment reference.
`IVXBINT` | `getHigh()` Returns the value of the 'High' containment reference.
`IVXBINT` | `getHigh1()` Returns the value of the 'High1' containment reference.
`IVXBINT` | `getHigh2()` Returns the value of the 'High2' containment reference.
`IVXBINT` | `getLow()` Returns the value of the 'Low' containment reference.
`INT1` | `getWidth()` Returns the value of the 'Width' containment reference.
`INT1` | `getWidth1()` Returns the value of the 'Width1' containment reference.
`INT1` | `getWidth2()` Returns the value of the 'Width2' containment reference.
`void` | `setCenter(INT1 value)` Sets the value of the '`Center`' containment reference.
`void` | `setHigh(IVXBINT value)` Sets the value of the '`High`' containment reference.
`void` | `setHigh1(IVXBINT value)` Sets the value of the '`High1`' containment reference.
`void` | `setHigh2(IVXBINT value)` Sets the value of the '`High2`' containment reference.
`void` | `setLow(IVXBINT value)` Sets the value of the '`Low`' containment reference.
`void` | `setWidth(INT1 value)` Sets the value of the '`Width`' containment reference.
`void` | `setWidth1(INT1 value)` Sets the value of the '`Width1`' containment reference.
`void` | `setWidth2(INT1 value)` Sets the value of the '`Width2`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.SXCMINT
`getOperator, isSetOperator, setOperator, unsetOperator`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.INT1
`getValue, setValue`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLow

    IVXBINT getLow()

  Returns the value of the 'Low' containment reference. The low limit of the interval.

  Returns:
    the value of the 'Low' containment reference.
  See Also:
    `setLow(IVXBINT)`, `CDAR2Package.getIVLINT_Low()`

### setLow

    void setLow(IVXBINT value)

  Sets the value of the '`Low`' containment reference.

  Parameters:
    `value` - the new value of the 'Low' containment reference.
  See Also:
    `getLow()`

### getWidth

    INT1 getWidth()

  Returns the value of the 'Width' containment reference. The difference between high and low boundary. The purpose of distinguishing a width property is to handle all cases of incomplete information symmetrically. In any interval representation only two of the three properties high, low, and width need to be stated and the third can be derived.

  Returns:
    the value of the 'Width' containment reference.
  See Also:
    `setWidth(INT1)`, `CDAR2Package.getIVLINT_Width()`

### setWidth

    void setWidth(INT1 value)

  Sets the value of the '`Width`' containment reference.

  Parameters:
    `value` - the new value of the 'Width' containment reference.
  See Also:
    `getWidth()`

### getHigh

    IVXBINT getHigh()

  Returns the value of the 'High' containment reference. The high limit of the interval.

  Returns:
    the value of the 'High' containment reference.
  See Also:
    `setHigh(IVXBINT)`, `CDAR2Package.getIVLINT_High()`

### setHigh

    void setHigh(IVXBINT value)

  Sets the value of the '`High`' containment reference.

  Parameters:
    `value` - the new value of the 'High' containment reference.
  See Also:
    `getHigh()`

### getHigh1

    IVXBINT getHigh1()

  Returns the value of the 'High1' containment reference.

  If the meaning of the 'High1' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'High1' containment reference.
  See Also:
    `setHigh1(IVXBINT)`, `CDAR2Package.getIVLINT_High1()`

### setHigh1

    void setHigh1(IVXBINT value)

  Sets the value of the '`High1`' containment reference.

  Parameters:
    `value` - the new value of the 'High1' containment reference.
  See Also:
    `getHigh1()`

### getWidth1

    INT1 getWidth1()

  Returns the value of the 'Width1' containment reference. The difference between high and low boundary. The purpose of distinguishing a width property is to handle all cases of incomplete information symmetrically. In any interval representation only two of the three properties high, low, and width need to be stated and the third can be derived.

  Returns:
    the value of the 'Width1' containment reference.
  See Also:
    `setWidth1(INT1)`, `CDAR2Package.getIVLINT_Width1()`

### setWidth1

    void setWidth1(INT1 value)

  Sets the value of the '`Width1`' containment reference.

  Parameters:
    `value` - the new value of the 'Width1' containment reference.
  See Also:
    `getWidth1()`

### getHigh2

    IVXBINT getHigh2()

  Returns the value of the 'High2' containment reference. The high limit of the interval.

  Returns:
    the value of the 'High2' containment reference.
  See Also:
    `setHigh2(IVXBINT)`, `CDAR2Package.getIVLINT_High2()`

### setHigh2

    void setHigh2(IVXBINT value)

  Sets the value of the '`High2`' containment reference.

  Parameters:
    `value` - the new value of the 'High2' containment reference.
  See Also:
    `getHigh2()`

### getCenter

    INT1 getCenter()

  Returns the value of the 'Center' containment reference. The arithmetic mean of the interval (low plus high divided by 2). The purpose of distinguishing the center as a semantic property is for conversions of intervals from and to point values.

  Returns:
    the value of the 'Center' containment reference.
  See Also:
    `setCenter(INT1)`, `CDAR2Package.getIVLINT_Center()`

### setCenter

    void setCenter(INT1 value)

  Sets the value of the '`Center`' containment reference.

  Parameters:
    `value` - the new value of the 'Center' containment reference.
  See Also:
    `getCenter()`

### getWidth2

    INT1 getWidth2()

  Returns the value of the 'Width2' containment reference. The difference between high and low boundary. The purpose of distinguishing a width property is to handle all cases of incomplete information symmetrically. In any interval representation only two of the three properties high, low, and width need to be stated and the third can be derived.

  Returns:
    the value of the 'Width2' containment reference.
  See Also:
    `setWidth2(INT1)`, `CDAR2Package.getIVLINT_Width2()`

### setWidth2

    void setWidth2(INT1 value)

  Sets the value of the '`Width2`' containment reference.

  Parameters:
    `value` - the new value of the 'Width2' containment reference.
  See Also:
    `getWidth2()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD